org.jgroups.protocols

## Class Executing.Owner

- java.lang.Object
- - org.jgroups.protocols.Executing.Owner

Enclosing class:
  Executing

    public static class Executing.Owner
    extends java.lang.Object

### Field Summary

Fields
`protected Address` `address`
`protected short` `requestId`

### Constructor Summary

Constructors
Constructor and Description
`Executing.Owner(Address address, short requestId)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`Address` `getAddress()`
`short` `getRequestId()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### address

    protected final Address address

#### requestId

    protected final short requestId

### Constructor Detail

#### Executing.Owner

    public Executing.Owner(Address address,
                   short requestId)

### Method Detail

#### getAddress

    public Address getAddress()

#### getRequestId

    public short getRequestId()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`